edu.northwestern.at.morphadorner.tools.compareadornedfiles

## Class AdornedWordData

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.compareadornedfiles.AdornedWordData

-     public class AdornedWordData
      extends java.lang.Object

  Data for a single adorned word.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.String>` | `attributeMap` Attribute map.
    `boolean` | `blankPrecedes` If word is preceded by a blank element.
    `protected java.lang.String` | `siblingID` Word ID of sibling (same parent element) word.
    `protected java.lang.String` | `wordText` Word text.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdornedWordData()` Create empty adorned word data.
    `AdornedWordData(java.lang.String wordText, java.util.Map<java.lang.String,java.lang.String> attributeMap, java.lang.String siblingID, boolean blankPrecedes)` Create populated adorned word data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributeMap()` Get attribute map.
    `boolean` | `getBlankPrecedes()` Get blank precedes word flag.
    `java.lang.String` | `getSiblingID()` Get sibling word ID.
    `java.lang.String` | `getWordText()` Get word text.
    `void` | `setAttributeMap(java.util.Map<java.lang.String,java.lang.String> attributeMap)` Set attribute map.
    `void` | `setBlankPrecedes(boolean blankPrecedes)` Set blank precedes word flag.
    `void` | `setSiblingID(java.lang.String siblingID)` Set sibling word ID.
    `void` | `setWordText(java.lang.String wordText)` Set word text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wordText

          protected java.lang.String wordText

      Word text.

    - #### attributeMap

          protected java.util.Map<java.lang.String,java.lang.String> attributeMap

      Attribute map.

    - #### siblingID

          protected java.lang.String siblingID

      Word ID of sibling (same parent element) word.

    - #### blankPrecedes

          public boolean blankPrecedes

      If word is preceded by a blank element.

  - ### Constructor Detail

    - #### AdornedWordData

          public AdornedWordData()

      Create empty adorned word data.

    - #### AdornedWordData

          public AdornedWordData(java.lang.String wordText,
                         java.util.Map<java.lang.String,java.lang.String> attributeMap,
                         java.lang.String siblingID,
                         boolean blankPrecedes)

      Create populated adorned word data.
      Parameters:
        `wordText` - Word text.
        `attributeMap` - Map of attribute names to attribute values.
        `siblingID` - Sibling word ID (has same parent element).
        `blankPrecedes` - true if blank precedes word.

  - ### Method Detail

    - #### getWordText

          public java.lang.String getWordText()

      Get word text.
      Returns:
        word text.

    - #### setWordText

          public void setWordText(java.lang.String wordText)

      Set word text.
      Parameters:
        `wordText` - The word text.

    - #### getAttributeMap

          public java.util.Map<java.lang.String,java.lang.String> getAttributeMap()

      Get attribute map.
      Returns:
        attribute map.

    - #### setAttributeMap

          public void setAttributeMap(java.util.Map<java.lang.String,java.lang.String> attributeMap)

      Set attribute map.
      Parameters:
        `attributeMap` - The attribute map.

    - #### getSiblingID

          public java.lang.String getSiblingID()

      Get sibling word ID.
      Returns:
        Sibling word ID.

    - #### setSiblingID

          public void setSiblingID(java.lang.String siblingID)

      Set sibling word ID.
      Parameters:
        `siblingID` - The sibling word ID.

    - #### getBlankPrecedes

          public boolean getBlankPrecedes()

      Get blank precedes word flag.
      Returns:
        true if blank precedes word.

    - #### setBlankPrecedes

          public void setBlankPrecedes(boolean blankPrecedes)

      Set blank precedes word flag.
      Parameters:
        `blankPrecedes` - true if blank precedes word.